searchNodes=[{"doc":"Small Helper Function to sign Datatrans Request Parameters","ref":"DatatransHelper.html","title":"DatatransHelper","type":"module"},{"doc":"Generate Map of payment parameters.This function is only present, if the optional money package is installed.Examplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.generate_payment_info(Money.new(7_20, :CHF), &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) %{amount: 7_20, currency: &quot;CHF&quot;, merchant_id: &quot;73452&quot;, refno: &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;, sign: &quot;1dbf3321ef16b02a638762bc30aa9811ce696656ea49e362a452166020c976c5&quot;}","ref":"DatatransHelper.html#generate_payment_info/2","title":"DatatransHelper.generate_payment_info/2","type":"function"},{"doc":"Generate Map of payment parameters.Examplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.generate_payment_info(7_20, &quot;CHF&quot;, &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) %{amount: 7_20, currency: &quot;CHF&quot;, merchant_id: &quot;73452&quot;, refno: &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;, sign: &quot;1dbf3321ef16b02a638762bc30aa9811ce696656ea49e362a452166020c976c5&quot;}","ref":"DatatransHelper.html#generate_payment_info/3","title":"DatatransHelper.generate_payment_info/3","type":"function"},{"doc":"Generate signature of a Datatrans Request ParametersThis function is only present, if the optional money package is installed.Examplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.generate_sign1(Money.new(7_20, :CHF), &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) &quot;1dbf3321ef16b02a638762bc30aa9811ce696656ea49e362a452166020c976c5&quot;","ref":"DatatransHelper.html#generate_sign1/2","title":"DatatransHelper.generate_sign1/2","type":"function"},{"doc":"Generate signature of a Datatrans Request ParametersExamplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.generate_sign1(7_20, &quot;CHF&quot;, &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) &quot;1dbf3321ef16b02a638762bc30aa9811ce696656ea49e362a452166020c976c5&quot;","ref":"DatatransHelper.html#generate_sign1/3","title":"DatatransHelper.generate_sign1/3","type":"function"},{"doc":"Generate signature of a Datatrans Post ResponseThis function is only present, if the optional money package is installed.Examplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign2_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.generate_sign2(Money.new(7_20, :CHF), 43575623879) &quot;8037d669282680ed81f510b41b0622b7ce17e644fef620baf6494146313e2269&quot;","ref":"DatatransHelper.html#generate_sign2/2","title":"DatatransHelper.generate_sign2/2","type":"function"},{"doc":"Generate signature of a Datatrans Post ResponseExamplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign2_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.generate_sign2(7_20, &quot;CHF&quot;, 43575623879) &quot;8037d669282680ed81f510b41b0622b7ce17e644fef620baf6494146313e2269&quot;","ref":"DatatransHelper.html#generate_sign2/3","title":"DatatransHelper.generate_sign2/3","type":"function"},{"doc":"Check if sign1 signature is correctThis function is only present, if the optional money package is installed.Examplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign1?(&quot;1dbf3321ef16b02a638762bc30aa9811ce696656ea49e362a452166020c976c5&quot;, Money.new(7_20, &quot;CHF&quot;), &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) true iex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign1?(&quot;invalid signature&quot;, Money.new(7_20, &quot;CHF&quot;), &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) false","ref":"DatatransHelper.html#valid_sign1?/3","title":"DatatransHelper.valid_sign1?/3","type":"function"},{"doc":"Check if sign1 signature is correctExamplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign1?(&quot;1dbf3321ef16b02a638762bc30aa9811ce696656ea49e362a452166020c976c5&quot;, 7_20, &quot;CHF&quot;, &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) true iex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign1_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign1?(&quot;invalid signature&quot;, 7_20, &quot;CHF&quot;, &quot;a5e511e9-7334-44c2-be21-cef964091739&quot;) false","ref":"DatatransHelper.html#valid_sign1?/4","title":"DatatransHelper.valid_sign1?/4","type":"function"},{"doc":"Check if sign2 signature is correctThis function is only present, if the optional money package is installed.Examplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign2_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign2?(&quot;8037d669282680ed81f510b41b0622b7ce17e644fef620baf6494146313e2269&quot;, Money.new(7_20, &quot;CHF&quot;), 43575623879) true iex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign2_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign2?(&quot;invalid signature&quot;, Money.new(7_20, &quot;CHF&quot;), 43575623879) false","ref":"DatatransHelper.html#valid_sign2?/3","title":"DatatransHelper.valid_sign2?/3","type":"function"},{"doc":"Check if sign2 signature is correctExamplesiex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign2_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign2?(&quot;8037d669282680ed81f510b41b0622b7ce17e644fef620baf6494146313e2269&quot;, 7_20, &quot;CHF&quot;, 43575623879) true iex&gt; Application.put_env(:datatrans_helper, :merchant_id, &quot;73452&quot;) iex&gt; Application.put_env(:datatrans_helper, :sign2_hmac_key, &quot;16ee1f9c0204842aed558fd57fd38503421dd6876269ad82d490ae5a7d5454d2dd936102190e86d06412ce94631fc96b6215da5fe0a5d1687dba5c5fa351e0fb&quot;) iex&gt; DatatransHelper.valid_sign2?(&quot;invalid signature&quot;, 7_20, &quot;CHF&quot;, 43575623879) false","ref":"DatatransHelper.html#valid_sign2?/4","title":"DatatransHelper.valid_sign2?/4","type":"function"},{"doc":"","ref":"DatatransHelper.html#t:amount/0","title":"DatatransHelper.amount/0","type":"type"},{"doc":"","ref":"DatatransHelper.html#t:currency/0","title":"DatatransHelper.currency/0","type":"type"},{"doc":"","ref":"DatatransHelper.html#t:datatrans_payment_request/0","title":"DatatransHelper.datatrans_payment_request/0","type":"type"},{"doc":"","ref":"DatatransHelper.html#t:merchant_id/0","title":"DatatransHelper.merchant_id/0","type":"type"},{"doc":"","ref":"DatatransHelper.html#t:reference_number/0","title":"DatatransHelper.reference_number/0","type":"type"},{"doc":"","ref":"DatatransHelper.html#t:signature/0","title":"DatatransHelper.signature/0","type":"type"},{"doc":"","ref":"DatatransHelper.html#t:upp_transaction_id/0","title":"DatatransHelper.upp_transaction_id/0","type":"type"}]